Skip to content

numbers.provision

Rent a number.

Reference

POST/api/v1/managed-numbers

Auth
API key in X-API-Key
Content
application/json
Returns
200 · Response Provision Number Api V1 Managed Numbers Post

Buy a number and start its monthly rental.

Arguments

ArgumentInTypeRequiredDescription
telephony_configuration_idbodyintegerrequired
addressbodystringrequired
labelbodystringoptional
inbound_workflow_idbodyintegeroptional
country_codebodystringdefault "IN"

Example request

curl -X POST "https://api.decibyl.ai/api/v1/managed-numbers" \
  -H "X-API-Key: dcb_your_key" \
  -H "Content-Type: application/json" \
  -d '{"telephony_configuration_id":1,"address":"string","label":"string","inbound_workflow_id":1,"country_code":"IN"}'

Response

{}

Errors

StatusWhen
404Not found
422Validation Error